## gate.corpora
Class CorpusImpl.VerboseList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--gate.corpora.CorpusImpl.VerboseList

All Implemented Interfaces:
  Collection, List, Serializable

Enclosing class:
  CorpusImpl

protected class CorpusImpl.VerboseList
extends AbstractList
implements Serializable

A proxy list that stores the actual data in an internal list and forwards all operations to that one but it also fires the appropiate corpus events when necessary. It also does some type checking so only Documents are accepted as corpus members.

See Also:
  Serialized Form

Field Summary
`(package private) ArrayList` `data` The List containing the actual data.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`(package private)` `CorpusImpl.VerboseList()`

Method Summary
`void` `add(int index, Object element)`
`Object` `get(int index)`
`Object` `remove(int index)`
`Object` `set(int index, Object element)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Field Detail

### data

    ArrayList data

  The List containing the actual data.

Constructor Detail

### CorpusImpl.VerboseList

    CorpusImpl.VerboseList()

Method Detail

### get

    public Object get(int index)

  Overrides:
    `get` in class `AbstractList`

### size

    public int size()

  Overrides:
    `size` in class `AbstractCollection`

### set

    public Object set(int index,
                      Object element)

  Overrides:
    `set` in class `AbstractList`

### add

    public void add(int index,
                    Object element)

  Overrides:
    `add` in class `AbstractList`

### remove

    public Object remove(int index)

  Overrides:
    `remove` in class `AbstractList`